[jitsi-dev] felix issues with webstart security


#1

Various warning popups appear when using webstart

With console and tracing both enabled and trace level set to 5, I notice
a message about http://felix.extensions:9 appears in the console just
before one of the popups

It appears to have been discussed before:

https://issues.apache.org/jira/browse/FELIX-2780
https://community.oracle.com/message/9384827

and supposedly resolved... but it still happens.

I tried one of the suggestions, editing the string and rebuilding
felix.jar to use file:///felix.extensions/9 instead of a http:// URI and
the error doesn't appear any more


#2

If I remember this correctly, the bug is not really fixed - it "just" works despite the warning/error. Java 1.6.24 introduced a breaking change in the SecurityManager that was then worked around in Felix.

Unless you want us to ship a modified Felix version (bad, especially for the Debian packaging), can you please report this to the Felix project?

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

···

Le 11.07.2014 à 15:59, "Daniel Pocock" <daniel@pocock.pro> a écrit :

Various warning popups appear when using webstart

With console and tracing both enabled and trace level set to 5, I notice
a message about http://felix.extensions:9 appears in the console just
before one of the popups

It appears to have been discussed before:

https://issues.apache.org/jira/browse/FELIX-2780
https://community.oracle.com/message/9384827

and supposedly resolved... but it still happens.

I tried one of the suggestions, editing the string and rebuilding
felix.jar to use file:///felix.extensions/9 instead of a http:// URI and
the error doesn't appear any more

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#3

Perhaps this issue is more relevant than the one referenced below:

     https://issues.apache.org/jira/browse/FELIX-4281

-> richard

···

On 7/11/14, 13:08 , Ingo Bauersachs wrote:

If I remember this correctly, the bug is not really fixed - it "just" works despite the warning/error. Java 1.6.24 introduced a breaking change in the SecurityManager that was then worked around in Felix.

Unless you want us to ship a modified Felix version (bad, especially for the Debian packaging), can you please report this to the Felix project?

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

Le 11.07.2014 à 15:59, "Daniel Pocock" <daniel@pocock.pro> a écrit :

Various warning popups appear when using webstart

With console and tracing both enabled and trace level set to 5, I notice
a message about http://felix.extensions:9 appears in the console just
before one of the popups

It appears to have been discussed before:

https://issues.apache.org/jira/browse/FELIX-2780
https://community.oracle.com/message/9384827

and supposedly resolved... but it still happens.

I tried one of the suggestions, editing the string and rebuilding
felix.jar to use file:///felix.extensions/9 instead of a http:// URI and
the error doesn't appear any more

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev